<?php
    /**
     * @class Tost Chat
     * @author ncanis(ncanis@rontab.com)
     * @version 0.1
     * @brief Web2.0 실시간 채팅
     **/

    class tostchat extends WidgetHandler {

        /**
         * @brief 위젯의 실행 부분
         * ./widgets/위젯/conf/info.xml에 선언한 extra_vars를 args로 받는다
         * 결과를 만든후 print가 아니라 return 해주어야 한다
         **/
        function proc($args) {
            // 템플릿의 스킨 경로를 지정 (skin, colorset에 따른 값을 설정)
            $tpl_path = sprintf('%sskins/%s', $this->widget_path, $args->skin);
			/*
			$name = getenv("HTTP_HOST") . getenv("SCRIPT_NAME");
			$name = preg_replace("/^http:\/\//", "" ,$name);
			$name = preg_replace("/(.+)\/.+?$/", "$1" ,$name);
			*/
			
			$tost_room = $args->tost_room;
			$tost_layout  = $args->tost_layout;
			$tost_theme  = $args->tost_theme;
			$tost_width  = $args->tost_width;
			$tost_height  = $args->tost_height;
            
			Context::set('tost_room', $tost_room);
			Context::set('tost_height', $tost_height);
			Context::set('tost_width', $tost_width);
			Context::set('tost_theme', $tost_theme);
			Context::set('tost_layout', $tost_layout);

			if(Context::get('is_logged'))  {
		    	$oModuleModel = &getModel('module');
		    	$this->member_config = $oModuleModel->getModuleConfig('member');
		    	$logged_info = Context::get('logged_info');		    
		    	Context::set('user_nick', $logged_info->nick_name);
		    }
		            			
            $tpl_file = 'tostchat';

            // 템플릿 컴파일
            $oTemplate = &TemplateHandler::getInstance();
            return $oTemplate->compile($tpl_path, $tpl_file);
        }
  	}
?>
